# Batch Accept Buy Offers

Function:

```
public fun batch_accept_buy_offers<CURRENCY>(
    ledger: &mut TradeLedger,
    offer_ids: vector<ID>,
    fill_amounts: vector<u64>,
    mut nfts: vector<NFT>,
    mut sender_balances: vector<UserBalance>,
    collection_cap: &CollectionCap,
    clock: &Clock,
    ctx: &mut TxContext
): u64

```

**Description:**

* Allows sellers to **fill multiple buy orders** in a single transaction.
* NFTs are transferred, and **sellers receive payments**.

**Validations:**

* The seller must **own the NFTs**.
* The buy orders must **be open**.
* The transaction must **not exceed the batch limit**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.artinals.com/artinals-protocol/market-module/functions-and-entry-points/batch-accept-buy-offers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
